grk::grk_pt< T > Struct Template Reference

`#include <geometry.h>`

## Public Member Functions

| grk_pt ()
| grk_pt (T _x, T _y)

## Public Attributes

T | x
T | y

## Constructor & Destructor Documentation

## grk_pt() [1/2]

template<typename T >

grk::grk_pt< T >::grk_pt | ( |  | ) |

inline

## grk_pt() [2/2]

template<typename T >

grk::grk_pt< T >::grk_pt | ( | T | _x,
|  | T | _y
| ) |  |

inline

## Member Data Documentation

## x

template<typename T >

T grk::grk_pt< T >::x

Referenced by grk::Subband::generatePrecinctBounds(), grk::PrecinctImpl::getCodeBlockBounds(), grk::Precinct::getNominalBlockSize(), grk::TileSet::index(), grk::Resolution::init(), and grk::TileSet::schedule().

## y

template<typename T >

T grk::grk_pt< T >::y

Referenced by grk::Subband::generatePrecinctBounds(), grk::PrecinctImpl::getCodeBlockBounds(), grk::Precinct::getNominalBlockSize(), grk::TileSet::index(), grk::Resolution::init(), and grk::TileSet::schedule().

The documentation for this struct was generated from the following file:

- geometry.h